import { ModelUtilImpl, ConditionUtil, FieldUtil } from 'model-util';
import { GatewayVO } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-31 14:22
 */
interface GatewayVOCU extends ConditionUtil<GatewayVOCU> {
    ID: FieldUtil<GatewayVOCU>;
    SERVICE_CENTER_NAME: FieldUtil<GatewayVOCU>;
    APP_NAME: FieldUtil<GatewayVOCU>;
    ENV_CODE: FieldUtil<GatewayVOCU>;
    K8S_NAME: FieldUtil<GatewayVOCU>;
    NAME: FieldUtil<GatewayVOCU>;
    LABEL: FieldUtil<GatewayVOCU>;
    CONFIG_CENTER_CODE: FieldUtil<GatewayVOCU>;
    IMAGE_NAME: FieldUtil<GatewayVOCU>;
    SPEC_TEMPLATE_NAME: FieldUtil<GatewayVOCU>;
    METRICS_TEMPLATE_NAME: FieldUtil<GatewayVOCU>;
    IMAGE_PORT_MAPPING: FieldUtil<GatewayVOCU>;
    DOMAIN: FieldUtil<GatewayVOCU>;
    URI: FieldUtil<GatewayVOCU>;
    SLB_NAME: FieldUtil<GatewayVOCU>;
}
declare class GatewayVOMU extends ModelUtilImpl<GatewayVOCU, GatewayVO> {
    joinTables: any[];
    selectSQL: string;
    tableFields: string[];
    modelFields: string[];
    createConditionUtil(): GatewayVOCU;
    static get ID(): FieldUtil<GatewayVOCU>;
    static get SERVICE_CENTER_NAME(): FieldUtil<GatewayVOCU>;
    static get APP_NAME(): FieldUtil<GatewayVOCU>;
    static get ENV_CODE(): FieldUtil<GatewayVOCU>;
    static get K8S_NAME(): FieldUtil<GatewayVOCU>;
    static get NAME(): FieldUtil<GatewayVOCU>;
    static get LABEL(): FieldUtil<GatewayVOCU>;
    static get CONFIG_CENTER_CODE(): FieldUtil<GatewayVOCU>;
    static get IMAGE_NAME(): FieldUtil<GatewayVOCU>;
    static get SPEC_TEMPLATE_NAME(): FieldUtil<GatewayVOCU>;
    static get METRICS_TEMPLATE_NAME(): FieldUtil<GatewayVOCU>;
    static get IMAGE_PORT_MAPPING(): FieldUtil<GatewayVOCU>;
    static get DOMAIN(): FieldUtil<GatewayVOCU>;
    static get URI(): FieldUtil<GatewayVOCU>;
    static get SLB_NAME(): FieldUtil<GatewayVOCU>;
    get ID(): FieldUtil<GatewayVOCU>;
    get SERVICE_CENTER_NAME(): FieldUtil<GatewayVOCU>;
    get APP_NAME(): FieldUtil<GatewayVOCU>;
    get ENV_CODE(): FieldUtil<GatewayVOCU>;
    get K8S_NAME(): FieldUtil<GatewayVOCU>;
    get NAME(): FieldUtil<GatewayVOCU>;
    get LABEL(): FieldUtil<GatewayVOCU>;
    get CONFIG_CENTER_CODE(): FieldUtil<GatewayVOCU>;
    get IMAGE_NAME(): FieldUtil<GatewayVOCU>;
    get SPEC_TEMPLATE_NAME(): FieldUtil<GatewayVOCU>;
    get METRICS_TEMPLATE_NAME(): FieldUtil<GatewayVOCU>;
    get IMAGE_PORT_MAPPING(): FieldUtil<GatewayVOCU>;
    get DOMAIN(): FieldUtil<GatewayVOCU>;
    get URI(): FieldUtil<GatewayVOCU>;
    get SLB_NAME(): FieldUtil<GatewayVOCU>;
}
export { GatewayVOMU, GatewayVOCU };
